$:.push File.expand_path("lib", __dir__)

# Maintain your gem's version:
require "ruling_bus/version"
bundle_update_flag = ARGV[0]=='update' || ARGV[0]=='install'
if bundle_update_flag
  env_pwd = ENV['PWD']
  app_path = File.expand_path(__dir__)
  template_path = env_pwd + '/app/templates'
  all_template = Dir.glob(template_path+'/*/')
  all_template.each do |folder|
    if !folder.include?('mobile')
      moudle_path = "#{folder}modules/ruling_bus/"
      Bundler.with_clean_env{system ('cp -r '+ app_path + '/modules/ ' + folder)}
    end
  end
end
# Describe your gem and declare its dependencies:
Gem::Specification.new do |spec|
  spec.name        = "ruling_bus"
  spec.version     = RulingBus::VERSION
  spec.authors     = ["Bohung Chiu"]
  spec.email       = ["bohung@rulingcom.com"]
  spec.homepage    = "https://w3.rulingcom.com/"
  spec.summary     = "Ruling Bus"
  spec.description = "Ruling Bus"
  spec.license     = "MIT"
  spec.files = Dir["{app,config,db,lib}/**/*", "MIT-LICENSE", "Rakefile", "README.md"]
end
